#Detecting the Assembly station and spawning it
execute as @e[tag=we.assembly_station,tag=!we.assembly_station_down] at @s unless block ~ ~ ~ barrel run function wep:station/station_operations/placement



#Detecting whether the assembly station is broken
execute as @e[tag=we.assembly_station,tag=we.assembly_station_down] at @s unless block ~ ~ ~ barrel run function wep:station/station_operations/removal



#Disabling Hoppers From sucking items up from the station
execute at @e[tag=we.assembly_station,tag=we.assembly_station_down] if block ~ ~-1 ~ hopper run data modify block ~ ~-1 ~ TransferCooldown set value 5
execute at @e[tag=we.assembly_station,tag=we.assembly_station_down] as @e[type=hopper_minecart,distance=..1] run data modify entity @s Enabled set value false
#Killing Station's fillings
execute as @e[type=item,nbt={Item:{"components":{"minecraft:custom_data":{"we.ghost_item":true}}}}] run kill @s
clear @a *[custom_data~{"we.ghost_item":true}]



#Checking for invalid slots
execute as @e[tag=we.assembly_station,tag=we.assembly_station_down] at @s if block ~ ~ ~ barrel[open=true] unless predicate wep:table_check/invalid_slots/all run function wep:station/invalid_slots/fixed_slots


#Checking for opened stations
execute as @e[tag=we.assembly_station_open] at @s if block ~ ~ ~ barrel[open=false] run function wep:station/sound_purge/close

#Detecting items put in the Assembly station and determining it
execute as @e[tag=we.has_recipe.true,tag=we.output.true] at @s unless items block ~ ~ ~ container.15 *[custom_data~{we.station_output:1b}] run function wep:station/output/output_operations/reduce_count
execute as @e[tag=we.assembly_station_open] at @s run function wep:station/recipe_activator


# Output closed
execute as @e[tag=we.assembly_station_open,tag=!we.has_recipe.true] at @s if block ~ ~ ~ barrel[open=true] unless items block ~ ~ ~ container.15 *[custom_data~{we.ghost_item:1b}] run function wep:station/invalid_slots/output_slot



