


#Accelerating Trait Score clearance
execute as @a if predicate wep:accelerating_activation_detection/accelerating_not_held run function wep:technical/trait_penalty/accelerating/acceleration_reset_all
execute as @a if predicate wep:accelerating_activation_detection/accelerating_not_sprinting run function wep:technical/trait_penalty/accelerating/acceleration_reset
#Accelerating Trait Score clearance (horse)
execute as @e[scores={we.horse.movement=1..}] run scoreboard players set @s we.horse.movement 0
execute as @e[scores={we.horse.movement=..0},predicate=wep:accelerating_activation_detection/accelerating_horse_idle] run function wep:technical/trait_penalty/accelerating/acceleration_reset_horse

#Flexible Trait detection system
execute as @a[tag=!we.flexible_debuff_added,nbt={SelectedItem:{components:{"minecraft:custom_data":{Flexible:1b}}}}] unless predicate wep:undefined/is_falling run function wep:technical/trait_penalty/flexible/flexible_i
execute as @a[tag=!we.flexible_debuff_added,nbt={SelectedItem:{components:{"minecraft:custom_data":{Flexible:2b}}}}] unless predicate wep:undefined/is_falling run function wep:technical/trait_penalty/flexible/flexible_ii



#Lethal Trait detection system
execute as @a[tag=!we.lethal_buff_added,nbt={SelectedItem:{components:{"minecraft:custom_data":{Lethal:1b}}}}] unless predicate wep:undefined/is_falling run function wep:technical/trait_penalty/lethal/lethal_i
execute as @a[tag=!we.lethal_buff_added,nbt={SelectedItem:{components:{"minecraft:custom_data":{Lethal:2b}}}}] unless predicate wep:undefined/is_falling run function wep:technical/trait_penalty/lethal/lethal_ii
execute as @a[tag=!we.lethal_buff_added,nbt={SelectedItem:{components:{"minecraft:custom_data":{Lethal:3b}}}}] unless predicate wep:undefined/is_falling run function wep:technical/trait_penalty/lethal/lethal_iii

#Lethal & Flexible effects removal system
execute as @a if predicate wep:undefined/is_falling run function wep:technical/trait_penalty/attribute_clearance
execute as @a unless predicate wep:undefined/wrong_tool run function wep:technical/trait_penalty/attribute_clearance



#Resets the score of the damage dealt to an entity unless if the player has landed a hit with a weapon carrying the denting trait
execute as @a at @s unless predicate wep:undefined/denting_trait_related run scoreboard players reset @s we.dealt

#Detects if an entity that has just taken damage is on a vehicle. And upon it, It will activate the condition checks to detect if it was hit in the right way to be dismounted
execute as @e[nbt={HurtTime:10s}] at @s if predicate wep:undefined/vehicle_status run function wep:technical/trait_penalty/hooking/condition_check



#Mob weapons granting
execute as @e[tag=!we.randomized_item_check.true,type=#wep:weapon_carrier] run function wep:technical/randomizers/general


#Shield blocking detection
execute as @a[advancements={wep:technical/shield/shield_blocking_general=false}] run scoreboard players reset @s we.shield_block
execute as @a[advancements={wep:technical/shield/shield_blocking_general=true}] run advancement revoke @s only wep:technical/shield/shield_blocking_general

#Arrow Visual Glitch Patch (Credits: Cloud wolf's way, He told me how and I used it)
execute as @e[type=arrow,tag=we.arrow.empowered,nbt=!{inGround:true}] run function wep:technical/range_weapons_mechanics/arrow_visual_fix
scoreboard players operation .global visfix *= .-1 visfix

#Custom bow draw time and application
execute as @a if predicate wep:undefined/carrying_tagged_bow run function wep:technical/range_weapons_mechanics/bow_range_multiplier
execute as @e[type=!player] if predicate wep:undefined/carrying_tagged_bow run function wep:technical/range_weapons_mechanics/bow_range_multiplier

#Bow Draw-Time Timer
execute as @a[nbt={SelectedItem:{id:"minecraft:bow"}}] run function wep:technical/range_weapons_mechanics/usage_determination
execute as @a[nbt=!{SelectedItem:{id:"minecraft:bow"}}] run scoreboard players reset @s we.bow.drawtime

#Two Handed debuff application
execute as @a if predicate wep:two_handed_check/two_handed run tag @s remove we.twohanded.debuff.one
execute as @a if predicate wep:two_handed_check/two_handed run tag @s remove we.twohanded.debuff.two

execute as @a[tag=we.twohanded.debuff.one] run attribute @s minecraft:attack_speed modifier add we.two_handed.debuff.one -0.25 add_multiplied_total
execute as @a[tag=!we.twohanded.debuff.one] run attribute @s minecraft:attack_speed modifier remove we.two_handed.debuff.one
execute as @a[tag=we.twohanded.debuff.two] run attribute @s minecraft:attack_speed modifier add we.two_handed.debuff.two -0.5 add_multiplied_total
execute as @a[tag=!we.twohanded.debuff.two] run attribute @s minecraft:attack_speed modifier remove we.two_handed.debuff.two








